# Record TCefServerHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefServerHandler = record`

## Description

Implement this structure to handle HTTP server requests. A new thread will be created for each ICefServer.CreateServer call (the "dedicated server thread"), and the functions of this structure will be called on that thread. It is therefore recommended to use a different ICefServerHandler instance for each ICefServer.CreateServer call to avoid thread safety issues in the ICefServerHandler implementation.

NOTE: This struct is allocated client-side.

Implemented by ICefServerHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_server_created: procedure(self: PCefServerHandler; server: PCefServer); stdcall;`
| `on_server_destroyed: procedure(self: PCefServerHandler; server: PCefServer); stdcall;`
| `on_client_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;`
| `on_client_disconnected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;`
| `on_http_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest); stdcall;`
| `on_web_socket_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest; callback: PCefCallback); stdcall;`
| `on_web_socket_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;`
| `on_web_socket_message: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_server_created: procedure(self: PCefServerHandler; server: PCefServer); stdcall;`
This item has no description.

| `on_server_destroyed: procedure(self: PCefServerHandler; server: PCefServer); stdcall;`
This item has no description.

| `on_client_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;`
This item has no description.

| `on_client_disconnected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;`
This item has no description.

| `on_http_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest); stdcall;`
This item has no description.

| `on_web_socket_request: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const client_address: PCefString; request: PCefRequest; callback: PCefCallback); stdcall;`
This item has no description.

| `on_web_socket_connected: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer); stdcall;`
This item has no description.

| `on_web_socket_message: procedure(self: PCefServerHandler; server: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.